## EntangleCameraSupport EntangleCameraSupport |

## Functions

#define | ENTANGLE_TYPE_CAMERA_SUPPORT_DATA
EntangleCameraSupport * | entangle_camera_support_new ()
void | entangle_camera_support_set_camera_list ()
EntangleCameraList * | entangle_camera_support_get_camera_list ()

## Properties

EntangleCameraList * | camera-list | Read / Write

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── EntangleCameraSupport

## Description

## Functions

### ENTANGLE_TYPE_CAMERA_SUPPORT_DATA

    #define ENTANGLE_TYPE_CAMERA_SUPPORT_DATA       (entangle_camera_support_data_get_type())

### entangle_camera_support_new ()

    EntangleCameraSupport *
    entangle_camera_support_new (void);

### entangle_camera_support_set_camera_list ()

    void
    entangle_camera_support_set_camera_list
                                   (EntangleCameraSupport *support,
                                    EntangleCameraList *list);

Set the camera list for the widget

#### Parameters

support | the camera support widget |
list | the list of cameras. | [transfer none][allow-none]

### entangle_camera_support_get_camera_list ()

    EntangleCameraList *
    entangle_camera_support_get_camera_list
                                   (EntangleCameraSupport *support);

Get the camera list

#### Parameters

support | the camera support widget |

#### Returns

the camera list or NULL.

[transfer none]

## Types and Values

## Property Details

### The `“camera-list”` property

      “camera-list”              EntangleCameraList *

Camera list to query.

Flags: Read / Write